dots.v2.databases.byDatabase_cluster_uuid().sql_mode.get()

Generated on 5 Nov 2026 from DoTs version v1.23.0

Usage

client.v2.databases.byDatabase_cluster_uuid(database_cluster_uuid).sql_mode.get(requestConfiguration?: RequestConfiguration<object>): Promise<undefined | Sql_mode>

Description

To retrieve the configured SQL modes for an existing MySQL cluster, send a GET request to /v2/databases/{database_cluster_uuid}/sql_mode. The response will be a JSON object with a sql_mode key. This will be set to a string representing the configured SQL modes.

Parameters

database_cluster_uuid string required

Example: 9cc10173-e9ea-4176-9dbc-a4cee4c4ff30

A unique identifier for a database cluster.

Request Sample

Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

const response = await client.v2.databases
    .byDatabase_cluster_uuid("9cc10173-e9ea-4176-9dbc-a4cee4c4ff30").sql_mode.get();

Response Example

Show Response Example
{
  "sql_mode": "ANSI,ERROR_FOR_DIVISION_BY_ZERO,NO_ENGINE_SUBSTITUTION,NO_ZERO_DATE,NO_ZERO_IN_DATE,STRICT_ALL_TABLES"
}

More Information

See /v2/databases/{database_cluster_uuid}/sql_mode in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.